- Qt 6.7
- Qt Widgets
- C++ Classes
- QDateTimeEdit
- Qt 6.7.0 Reference Documentation

# Obsolete Members for QDateTimeEdit

The following members of class QDateTimeEdit are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(deprecated in 6.10)` timeSpec : Qt::TimeSpec

## Public Functions

`(deprecated)` void | setTimeSpec(Qt::TimeSpec spec)
`(deprecated)` Qt::TimeSpec | timeSpec() const

## Property Documentation

### `[deprecated in 6.10]` timeSpec : Qt::TimeSpec

This property is deprecated since 6.10. We strongly advise against using it in new code.

Use QDateTimeEdit::timeZone instead.

This property holds the current timespec used by the date time edit.

Since Qt 6.7 this is an indirect accessor for the timeZone property.

Access functions:

Qt::TimeSpec | timeSpec() const
void | setTimeSpec(Qt::TimeSpec spec)

See also QDateTimeEdit::timeZone.